| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_2<arithmetic_action< minus_action >, boost::units::unit< Dim1, System1 >, boost::units::unit< Dim2, System2 >>

boost::lambda::plain_return_type_2<arithmetic_action< minus_action >, boost::units::unit< Dim1, System1 >, boost::units::unit< Dim2, System2 >>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename Dim1, typename Dim2, typename System1, typename System2>
    struct plain_return_type_2<arithmetic_action< minus_action >, boost::units::unit< Dim1, System1 >, boost::units::unit< Dim2, System2 >> {
      // types
      typedef boost::units::subtract_typeof_helper< boost::units::unit< Dim1, System1 >, boost::units::unit< Dim2, System2 > >::type type;
    };

## Description

Partial specialization of return type trait for action unit<Dim1, System1> - unit<Dim2, System2>.